/* Dieses Programm liest zeichenweise von der Standardeingabe */
/* ( bis zum Erreichen der End-Of-File-Bedingung - EOF )      */
/* und gibt diese Zeichen wieder in die Standardausgabe aus.  */

#include <stdio.h>

main()
{
     int c;

     while(( c = getchar()) != EOF) /* beachte Klammern ! */
          putchar(c);
}
